> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List verifications

> Returns a list of identity verifications for a payout account, ordered by most recent first.

Required permissions:
 - `payout:account:read`



## OpenAPI

````yaml /openapi/api-v1-stable.json get /verifications
openapi: 3.1.0
info:
  description: >-
    The Whop REST API. Please see
    https://docs.whop.com/developer/api/getting-started for more details.
  termsOfService: https://whop.com/tos-developer-api/
  title: Whop API
  version: 1.0.0
  x-api-version-date: '2026-07-01'
servers:
  - description: Production Whop API
    url: https://api.whop.com/api/v1
  - description: Sandbox Whop API
    url: https://sandbox-api.whop.com/api/v1
security: []
tags:
  - description: Products
    name: Products
  - description: Payments
    name: Payments
  - description: Refunds
    name: Refunds
  - description: Disputes
    name: Disputes
  - description: Dispute alerts
    name: Dispute alerts
  - description: Resolution center cases
    name: Resolution center cases
  - description: Checkout configurations
    name: Checkout configurations
  - description: Setup intents
    name: Setup intents
  - description: Payment methods
    name: Payment methods
  - description: Invoices
    name: Invoices
  - description: Promo codes
    name: Promo codes
  - description: Card transactions
    name: Card transactions
  - description: Ledger accounts
    name: Ledger accounts
  - description: Withdrawals
    name: Withdrawals
  - description: Payout methods
    name: Payout methods
  - description: Verifications
    name: Verifications
  - description: Identity profiles
    name: Identity profiles
  - description: Payout accounts
    name: Payout accounts
  - description: Topups
    name: Topups
  - description: Companies
    name: Companies
  - description: Authorized users
    name: Authorized users
  - description: Fee markups
    name: Fee markups
  - description: Members
    name: Members
  - description: Memberships
    name: Memberships
  - description: Leads
    name: Leads
  - description: Entries
    name: Entries
  - description: Shipments
    name: Shipments
  - description: Reviews
    name: Reviews
  - description: Company token transactions
    name: Company token transactions
  - description: Affiliates
    name: Affiliates
  - description: Experiences
    name: Experiences
  - description: Forums
    name: Forums
  - description: Forum posts
    name: Forum posts
  - description: Chat channels
    name: Chat channels
  - description: Support channels
    name: Support channels
  - description: Messages
    name: Messages
  - description: Reactions
    name: Reactions
  - description: Dm members
    name: Dm members
  - description: Dm channels
    name: Dm channels
  - description: Notifications
    name: Notifications
  - description: Courses
    name: Courses
  - description: Course chapters
    name: Course chapters
  - description: Course lessons
    name: Course lessons
  - description: Course students
    name: Course students
  - description: Course lesson interactions
    name: Course lesson interactions
  - description: Apps
    name: Apps
  - description: Webhooks
    name: Webhooks
  - description: App builds
    name: App builds
  - description: Access tokens
    name: Access tokens
  - description: Account links
    name: Account links
  - description: Files
    name: Files
  - description: Ai chats
    name: Ai chats
  - description: Bounties
    name: Bounties
  - description: Stats
    name: Stats
  - description: Conversions
    name: Conversions
  - description: Ad reports
    name: Ad reports
paths:
  /verifications:
    get:
      tags:
        - Verifications
      summary: List verifications
      description: >-
        Returns a list of identity verifications for a payout account, ordered
        by most recent first.


        Required permissions:
         - `payout:account:read`
      operationId: listVerification
      parameters:
        - explode: true
          in: query
          name: after
          required: false
          schema:
            description: >-
              Returns the elements in the list that come after the specified
              cursor.
            type:
              - string
              - 'null'
          style: form
        - explode: true
          in: query
          name: before
          required: false
          schema:
            description: >-
              Returns the elements in the list that come before the specified
              cursor.
            type:
              - string
              - 'null'
          style: form
        - explode: true
          in: query
          name: first
          required: false
          schema:
            description: Returns the first _n_ elements from the list.
            example: 42
            type:
              - integer
              - 'null'
          style: form
        - explode: true
          in: query
          name: last
          required: false
          schema:
            description: Returns the last _n_ elements from the list.
            example: 42
            type:
              - integer
              - 'null'
          style: form
        - explode: true
          in: query
          name: payout_account_id
          required: true
          schema:
            description: >-
              The unique identifier of the payout account to list verifications
              for.
            example: poact_xxxxxxxxxxxx
            type: string
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                description: The connection type for Verification.
                properties:
                  data:
                    description: A list of nodes.
                    items:
                      $ref: '#/components/schemas/VerificationListItem'
                    type: array
                  page_info:
                    $ref: '#/components/schemas/PageInfo'
                    description: Information to aid in pagination.
                required:
                  - data
                  - page_info
                type: object
          description: A successful response
        '400':
          content:
            application/json:
              example:
                error:
                  code: parameter_missing
                  message: 'Missing required parameter: amount.'
                  param: amount
                  type: invalid_request_error
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Bad request
        '401':
          content:
            application/json:
              example:
                error:
                  message: Invalid or missing API key
                  type: unauthorized
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Unauthorized
        '403':
          content:
            application/json:
              example:
                error:
                  message: You do not have permission to access this resource
                  type: forbidden
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Forbidden
        '404':
          content:
            application/json:
              example:
                error:
                  message: Resource not found
                  type: not_found
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Not found
        '422':
          content:
            application/json:
              example:
                error: null
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Verification required
        '429':
          content:
            application/json:
              example:
                error: null
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Too many requests
        '500':
          content:
            application/json:
              example:
                error:
                  message: An unexpected error occurred
                  type: internal_server_error
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Internal server error
      security:
        - bearerAuth:
            - payout:account:read
components:
  schemas:
    VerificationListItem:
      description: >-
        An identity verification session used to confirm a person or entity's
        identity for payout account eligibility.
      properties:
        id:
          description: The numeric id of the verification record.
          example: verf_xxxxxxxxxxxxx
          type: string
        last_error_code:
          description: >-
            The most recent error code returned during verification. Null if no
            error has occurred.
          oneOf:
            - $ref: '#/components/schemas/VerificationErrorCodes'
            - type: 'null'
        last_error_reason:
          description: >-
            A human-readable explanation of the most recent verification error.
            Null if no error has occurred.
          example: Document image was too blurry to read.
          type:
            - string
            - 'null'
        status:
          $ref: '#/components/schemas/VerificationStatuses'
          description: The current status of this verification session.
      required:
        - id
        - status
        - last_error_code
        - last_error_reason
      type: object
    PageInfo:
      description: Information about pagination in a connection.
      properties:
        end_cursor:
          description: When paginating forwards, the cursor to continue.
          type:
            - string
            - 'null'
        has_next_page:
          description: When paginating forwards, are there more items?
          type: boolean
        has_previous_page:
          description: When paginating backwards, are there more items?
          type: boolean
        start_cursor:
          description: When paginating backwards, the cursor to continue.
          type:
            - string
            - 'null'
      required:
        - end_cursor
        - start_cursor
        - has_next_page
        - has_previous_page
      type: object
    VerificationErrorCodes:
      description: An error code for a verification attempt.
      enum:
        - abandoned
        - consent_declined
        - country_not_supported
        - device_not_supported
        - document_expired
        - document_type_not_supported
        - document_unverified_other
        - email_unverified_other
        - email_verification_declined
        - id_number_insufficient_document_data
        - id_number_mismatch
        - id_number_unverified_other
        - phone_unverified_other
        - phone_verification_declined
        - selfie_document_missing_photo
        - selfie_face_mismatch
        - selfie_manipulated
        - selfie_unverified_other
        - under_supported_age
      type: string
    VerificationStatuses:
      description: A status for a verification.
      enum:
        - requires_input
        - processing
        - verified
        - canceled
        - created
        - started
        - submitted
        - approved
        - declined
        - resubmission_requested
        - expired
        - abandoned
        - review
        - action_required
      type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        A company API key, company scoped JWT, app API key, or user OAuth token.
        You must prepend your key/token with the word 'Bearer', which will look
        like `Bearer ***************************`
      scheme: bearer
      type: http

````